Bug 962773 - [network] network-indicator GUI inconsistent when polkit is used to disable access
[network] network-indicator GUI inconsistent when polkit is used to disable a...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 08:26 EDT by andrew2.hart
Modified: 2014-02-05 16:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:21:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andrew2.hart 2013-05-14 08:26:25 EDT
User-Agent:       Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; WOW64; Trident/5.0)
Build Identifier: 

If polkit is used to lock down network editing and control, the applet icon gui (which normally appears as picture of a computer at the top right of the screen) does not reflect the changes.  For instance the on/off slider button still operates but has no effect.

Reproducible: Always

Steps to Reproduce:
Need to edit org.freedesktop.NetworkManager.policy and set the "yes" options to "no" and I think then a reboot is needed to really make sure the changes happen...


Expected Results:  
The disabled option should be flagged by; greying out, reseting the on/off button or showing a warning that the selected action failed.
Comment 1 Jirka Klimes 2013-05-14 09:32:45 EDT
Your description "top right icon" and "on/off slider" indicates that you do not use nm-applet, but rather gnome-shell network indicator. The indicator is not part of network-manager-applet, but gnome-shell itself, re-assigning.
Comment 2 andrew2.hart 2013-05-14 09:42:37 EDT
Ah, does this mean I'm setting the wrong policy then?  Still it seems odd that it does not change the network connection and that there is no policy for it.
Comment 3 Fedora End Of Life 2013-12-21 08:31:56 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 16:21:49 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.